package io.renren.modules.app.service;


import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XzdyFwxxSdEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzTempEntity;

/**
 * 维修资金预交复核
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface WxzjyjfhService extends IService<XzdyFwxxSdEntity> {
	
	List<XlkEntity> selectxlk(Map<String, String> map);
	
	/**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param ywpzEntity
     * @return
     */
    PageInfo<YwpzEntity> queryByPage(Integer pageNum, Integer pageSize,YwpzEntity ywpzEntity);
    
    //查看按钮
    YwpzEntity selectCX(Map<String, String> map);
    List<DhbmyjEntity> selectCXlz(Map<String, String> map);
    
    void selectlistglb();
    
    void selectzhxxsfjq();
    
    void selectzhxxsfjq2();
    
    //复核按钮
    void updateFH(List<DhbmyjEntity> dhyjs);
    
    //取消复核
    void updateQXFH(List<DhbmyjEntity> dhyjs);
    
    void fwsfyj();
    
    void sqrq();
    
    void spje();
    
    void kfskm();
    
    void ywpzdjrq();

}
